ShibbolethSSODecoder (Shibboleth Identity Provider 2.2.0 Java API.)
Date: 2010-09-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.profile.saml1
Class ShibbolethSSODecoder

    java.lang.Object
      org.opensaml.ws.message.decoder.BaseMessageDecoder
          org.opensaml.common.binding.decoding.BaseSAMLMessageDecoder
              org.opensaml.saml1.binding.decoding.BaseSAML1MessageDecoder
                  edu.internet2.middleware.shibboleth.idp.profile.saml1.ShibbolethSSODecoder

All Implemented Interfaces:
  org.opensaml.common.binding.decoding.SAMLMessageDecoder, org.opensaml.ws.message.decoder.MessageDecoder

    public class ShibbolethSSODecoder

extends org.opensaml.saml1.binding.decoding.BaseSAML1MessageDecoder
implements org.opensaml.common.binding.decoding.SAMLMessageDecoder

Shibboleth 1.0 SSO authentication request message decoder.

Constructor Summary
`ShibbolethSSODecoder()` Constructor.

Method Summary
`protected void` | `doDecode(org.opensaml.ws.message.MessageContext messageContext)`
`String` | `getBindingURI()`
`protected String` | `getIntendedDestinationEndpointURI(org.opensaml.common.binding.SAMLMessageContext samlMsgCtx)`
`protected boolean` | `isIntendedDestinationEndpointURIRequired(org.opensaml.common.binding.SAMLMessageContext samlMsgCtx)`

Methods inherited from class org.opensaml.saml1.binding.decoding.BaseSAML1MessageDecoder
`decode, extractAssertionArtifactInfo, extractAttributeQueryInfo, extractAuthorizationDecisionQueryInfo, extractRequestInfo, extractResponseInfo, getArtifactMap, getUseQueryResourceAsEntityId, populateMessageContext, populateMessageIdIssueInstantIssuer, populateRelyingPartyMetadata, setUseQueryResourceAsEntityId`

Methods inherited from class org.opensaml.common.binding.decoding.BaseSAMLMessageDecoder
`checkEndpointURI, compareEndpointURIs, getActualReceiverEndpointURI, getURIComparator, isMessageSigned, setURIComparator`

Methods inherited from class org.opensaml.ws.message.decoder.BaseMessageDecoder
`getParserPool, logDecodedMessage, processSecurityPolicy, setParserPool, unmarshallMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.opensaml.ws.message.decoder.MessageDecoder
`decode`

Constructor Detail

### ShibbolethSSODecoder

    public ShibbolethSSODecoder()

  Constructor.

Method Detail

### getBindingURI

    public String getBindingURI()

  Specified by:
    `getBindingURI` in interface `org.opensaml.common.binding.decoding.SAMLMessageDecoder`

### doDecode

    protected void doDecode(org.opensaml.ws.message.MessageContext messageContext)
                     throws org.opensaml.ws.message.decoder.MessageDecodingException

  Specified by:
    `doDecode` in class `org.opensaml.ws.message.decoder.BaseMessageDecoder`
  Throws:
    `org.opensaml.ws.message.decoder.MessageDecodingException`

### isIntendedDestinationEndpointURIRequired

    protected boolean isIntendedDestinationEndpointURIRequired(org.opensaml.common.binding.SAMLMessageContext samlMsgCtx)

  Specified by:
    `isIntendedDestinationEndpointURIRequired` in class `org.opensaml.common.binding.decoding.BaseSAMLMessageDecoder`

### getIntendedDestinationEndpointURI

    protected String getIntendedDestinationEndpointURI(org.opensaml.common.binding.SAMLMessageContext samlMsgCtx)
                                                throws org.opensaml.ws.message.decoder.MessageDecodingException

  Overrides:
    `getIntendedDestinationEndpointURI` in class `org.opensaml.saml1.binding.decoding.BaseSAML1MessageDecoder`
  Throws:
    `org.opensaml.ws.message.decoder.MessageDecodingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.